Ubuntu 18.04 LTS / 20.04 LTS / 20.10:WebKitGTK 漏洞 (USN-4939-1)

critical Nessus 插件 ID 149419
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程主机缺少一个或多个安全更新。

描述

远程 Ubuntu 18.04 LTS / 20.04 LTS / 20.10 主机上安装的程序包受到 USN-4939-1 公告中提及的多个漏洞的影响。

- 已通过改进的内存管理解决释放后使用问题。此问题已在 macOS Big Sur 11.2、安全更新 2021-001 Catalina、安全更新 2021-001 Mojave、tvOS 14.4、watchOS 7.3、iOS 14.4 和 iPadOS 14.4、Safari 14.0.3 中修复。- 处理恶意构建的 Web 内容可能会导致任意代码执行。(CVE-2021-1788)

- 已通过改进的验证解决内存损坏问题。此问题已在 iOS 14.4.1 和 iPadOS 14.4.1、Safari 14.0.3(v. 14610.4.3.1.7 和 15610.4.3.1.7)、watchOS 7.3.2、macOS Big Sur 11.2.3 中得到修复。
- 处理恶意构建的 Web 内容可能会导致任意代码执行。(CVE-2021-1844)

- 已通过改进的限制解决逻辑问题。此问题已在 macOS Big Sur 11.2、安全更新 2021-001 Catalina、安全更新 2021-001 Mojave、iOS 14.4 和 iPadOS 14.4 中修复。远程攻击者或可造成任意代码执行。Apple 从报告中获悉,此问题可能已经被主动利用。(CVE-2021-1871)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

更新受影响的程序包。

另见

https://ubuntu.com/security/notices/USN-4939-1

插件详情

严重性: Critical

ID: 149419

文件名: ubuntu_USN-4939-1.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/5/12

最近更新时间: 2021/5/12

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2021-1871

VPR

风险因素: Critical

分数: 9.5

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 8.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:canonical:ubuntu_linux:18.04:-:lts, cpe:/o:canonical:ubuntu_linux:20.04:-:lts, cpe:/o:canonical:ubuntu_linux:20.10, p-cpe:/a:canonical:ubuntu_linux:gir1.2-javascriptcoregtk-4.0, p-cpe:/a:canonical:ubuntu_linux:gir1.2-webkit2-4.0, p-cpe:/a:canonical:ubuntu_linux:libjavascriptcoregtk-4.0-18, p-cpe:/a:canonical:ubuntu_linux:libjavascriptcoregtk-4.0-bin, p-cpe:/a:canonical:ubuntu_linux:libjavascriptcoregtk-4.0-dev, p-cpe:/a:canonical:ubuntu_linux:libwebkit2gtk-4.0-37, p-cpe:/a:canonical:ubuntu_linux:libwebkit2gtk-4.0-37-gtk2, p-cpe:/a:canonical:ubuntu_linux:libwebkit2gtk-4.0-dev, p-cpe:/a:canonical:ubuntu_linux:webkit2gtk-driver

必需的 KB 项: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2021/5/10

漏洞发布日期: 2021/1/22

参考资料信息

CVE: CVE-2021-1788, CVE-2021-1844, CVE-2021-1871

USN: 4939-1